Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ascape.util
Class PropertyAccessor

    java.lang.Object
      org.ascape.util.PropertyAccessor

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable

Direct Known Subclasses:
  SweepDimension

    public class PropertyAccessor

extends java.lang.Object
implements java.lang.Comparable, java.io.Serializable

A class containing an object and a property descriptor. Used to dynamically reflect accessor and invoke objects.

Since:
  1.0
Version:
  1.9.2
Author:
  Miles Parker
See Also:
  Serialized Form

Field Summary
`protected java.beans.PropertyDescriptor` | `descriptor`
`protected java.lang.Object` | `object`
`protected java.lang.Class` | `propertyClass`

Constructor Summary
`PropertyAccessor(java.lang.Object object, java.beans.PropertyDescriptor descriptor)`
`PropertyAccessor(java.lang.Object object, java.lang.String accessorName)`

Method Summary
`static java.lang.String` | `addSpacesToVariableName(java.lang.String string)`
`static java.lang.String` | `capitalizeFirstCharacter(java.lang.String string)`
`int` | `compareTo(java.lang.Object o)`
`static java.util.List` | `determineReadWriteAccessors(java.lang.Object object, java.lang.Class stopClass, boolean includeGetters)` Returns an array of all read/write accessors for the supplied object.
`java.lang.String` | `getAsText()`
`static java.lang.String` | `getAsText(java.lang.Object object, java.beans.PropertyDescriptor descriptor)`
`java.beans.PropertyDescriptor` | `getDescriptor()`
`java.lang.String` | `getLongName()`
`static java.lang.String` | `getLongName(java.beans.PropertyDescriptor descriptor)`
`java.lang.String` | `getName()`
`java.lang.Object` | `getValue()`
`static java.lang.Object` | `getValue(java.lang.Object object, java.beans.PropertyDescriptor descriptor)`
`boolean` | `isWriteable()`
`static boolean` | `isWriteable(java.beans.PropertyDescriptor descriptor)`
`static java.lang.String` | `paramName(java.lang.String arg)`
`static java.lang.String` | `paramValue(java.lang.String arg)`
`static java.lang.Boolean` | `paramValueBoolean(java.lang.String arg)`
`static java.lang.Integer` | `paramValueInt(java.lang.String arg)`
`static java.lang.Long` | `paramValueLong(java.lang.String arg)`
`static java.lang.String` | `removeUnderscores(java.lang.String string)`
`static void` | `setAsText(java.lang.Object object, java.lang.String string, java.beans.PropertyDescriptor descriptor)`
`void` | `setAsText(java.lang.String string)`
`void` | `setDescriptor(java.beans.PropertyDescriptor descriptor)`
`void` | `setValue(java.lang.Object value)`
`static java.lang.Object` | `stringAsClass(java.lang.Class wrapper, java.lang.String string)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### object

    protected java.lang.Object object

### descriptor

    protected java.beans.PropertyDescriptor descriptor

### propertyClass

    protected java.lang.Class propertyClass

Constructor Detail

### PropertyAccessor

    public PropertyAccessor(java.lang.Object object,
                            java.beans.PropertyDescriptor descriptor)

### PropertyAccessor

    public PropertyAccessor(java.lang.Object object,
                            java.lang.String accessorName)

Method Detail

### getDescriptor

    public java.beans.PropertyDescriptor getDescriptor()

### setDescriptor

    public void setDescriptor(java.beans.PropertyDescriptor descriptor)

### getName

    public java.lang.String getName()

### getLongName

    public java.lang.String getLongName()

### getLongName

    public static final java.lang.String getLongName(java.beans.PropertyDescriptor descriptor)

### getAsText

    public java.lang.String getAsText()

### getAsText

    public static final java.lang.String getAsText(java.lang.Object object,
                                                   java.beans.PropertyDescriptor descriptor)

### stringAsClass

    public static java.lang.Object stringAsClass(java.lang.Class wrapper,
                                                 java.lang.String string)
                                          throws java.lang.NumberFormatException,
                                                 java.lang.IllegalArgumentException

  Throws:
    `java.lang.NumberFormatException`
    `java.lang.IllegalArgumentException`

### setAsText

    public void setAsText(java.lang.String string)
                   throws java.lang.reflect.InvocationTargetException,
                          java.lang.IllegalArgumentException

  Throws:
    `java.lang.reflect.InvocationTargetException`
    `java.lang.IllegalArgumentException`

### setAsText

    public static void setAsText(java.lang.Object object,
                                 java.lang.String string,
                                 java.beans.PropertyDescriptor descriptor)
                          throws java.lang.reflect.InvocationTargetException,
                                 java.lang.IllegalArgumentException

  Throws:
    `java.lang.reflect.InvocationTargetException`
    `java.lang.IllegalArgumentException`

### isWriteable

    public boolean isWriteable()

### isWriteable

    public static boolean isWriteable(java.beans.PropertyDescriptor descriptor)

### getValue

    public java.lang.Object getValue()

### getValue

    public static final java.lang.Object getValue(java.lang.Object object,
                                                  java.beans.PropertyDescriptor descriptor)

### setValue

    public void setValue(java.lang.Object value)

### determineReadWriteAccessors

    public static java.util.List determineReadWriteAccessors(java.lang.Object object,
                                                             java.lang.Class stopClass,
                                                             boolean includeGetters)
                                                      throws java.beans.IntrospectionException

  Returns an array of all read/write accessors for the supplied object.

  Throws:
    `java.beans.IntrospectionException`

### capitalizeFirstCharacter

    public static final java.lang.String capitalizeFirstCharacter(java.lang.String string)

### addSpacesToVariableName

    public static final java.lang.String addSpacesToVariableName(java.lang.String string)

### removeUnderscores

    public static final java.lang.String removeUnderscores(java.lang.String string)

### compareTo

    public int compareTo(java.lang.Object o)

  Specified by:
    `compareTo` in interface `java.lang.Comparable`

### paramName

    public static java.lang.String paramName(java.lang.String arg)

### paramValue

    public static java.lang.String paramValue(java.lang.String arg)

### paramValueInt

    public static java.lang.Integer paramValueInt(java.lang.String arg)

### paramValueLong

    public static java.lang.Long paramValueLong(java.lang.String arg)

### paramValueBoolean

    public static java.lang.Boolean paramValueBoolean(java.lang.String arg)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD